Follow

Error: "Could not extract a Private Key" when importing OpenSSL generated private key

Symptom: 

While importing a private key, users receive an error stating “Could not extract a Private Key...”.

private_key_import_error.PNG

 

Cause:

Private keys generated with OpenSSL version 1.0.0g and newer are incompatible with Venafi Encryption Director.

 

Resolution:

This issue will be fixed in a future version of Venafi Encryption Director. Private keys generated by older version of OpenSSL work correctly.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk